﻿@model Xtoman.Admin.ViewModels.IndexViewModel
@{
    ViewBag.Title = "مدیریت حساب";
}

<h2>@ViewBag.Title.</h2>

<p class="text-success">@ViewBag.StatusMessage</p>
<div>
    <h4>تنظیمات حساب</h4>
    <hr />
    <dl class="dl-horizontal">
        <dt>کلمه عبور:</dt>
        <dd>
            @if (Model.HasPassword)
            {
                @Html.ActionLink("تغییر دادن کلمه عبور", "ChangePassword", null, new { @class = "btn btn-secondary" })
            }
            else
            {
                @Html.ActionLink("ایجاد کلمه عبور", "SetPassword", null, new { @class = "btn btn-secondary" })
            }
        </dd>
        <dt>ورود با استفاده از اکانت های دیگر: تعداد @Model.Logins.Count</dt>
        <dd>
            @Html.ActionLink("مدیریت کردن اکانت های دیگر", "ManageLogins", null, new { @class = "btn btn-secondary" })
        </dd>
        @*
            Phone Numbers can used as a second factor of verification in a two-factor authentication system.

             See <a href="https://go.microsoft.com/fwlink/?LinkId=403804">this article</a>
                for details on setting up this ASP.NET application to support two-factor authentication using SMS.

             Uncomment the following block after you have set up two-factor authentication
        *@
        @*
            <dt>Phone Number:</dt>
            <dd>
                @(Model.PhoneNumber ?? "None")
                @if (Model.PhoneNumber != null)
                {
                    <br />
                    <text>[&nbsp;&nbsp;@Html.ActionLink("Change", "AddPhoneNumber")&nbsp;&nbsp;]</text>
                    using (Html.BeginForm("RemovePhoneNumber", "Manage", FormMethod.Post, new { @class = "form-horizontal", role = "form" }))
                    {
                        @Html.AntiForgeryToken()
                        <text>[<input type="submit" value="Remove" class="btn-link" />]</text>
                    }
                }
                else
                {
                    <text>[&nbsp;&nbsp;@Html.ActionLink("Add", "AddPhoneNumber")
                }
            </dd>
        *@
        <dt>
            ورود دو مرحله ای با استفاده از Google Authenticator: @(Model.IsGoogleAuthenticatorEnabled ? "فعال" : "غیر فعال")
        </dt>
        <dd>
            <p>
                @if (Model.IsGoogleAuthenticatorEnabled)
                {
                    @Html.ActionLink("غیر فعال کردن", "DisableGoogleAuthenticator", null, new { @class = "btn btn-secondary" })
                }
                else
                {
                    @Html.ActionLink("فعال کردن", "EnableGoogleAuthenticator", null, new { @class = "btn btn-secondary" })
                }
            </p>
        </dd>
    </dl>
</div>
